/*
 *  Copyright 2014 Embedded Artists AB
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

#ifndef APP_TEMPLATE_H
#define APP_TEMPLATE_H

#include "App.h"
#include "DMBoard.h"
#include "lpc_swim.h"
#include "ImageButton.h"

/**
 * An App example. 
 */
class AppTemplate : public App {
public:

    AppTemplate();
    virtual ~AppTemplate();

    virtual bool setup();
    virtual void runToCompletion();
    virtual bool teardown();

private:
    Display* _disp;
    SWIM_WINDOW_T* _win;
    void* _fb;
    ImageButton* _btn;

    void draw();
};

#endif

